DEVS-Fire API

getPerimeterCells

Returns the coordinates of all cells forming the fire's perimeter.

POST
/getPerimeterCells

Query Parameters

Prop

Type

import requestsbase_url: str = "https://firesim.cs.gsu.edu/api/getPerimeterCells/"params: dict[str, str] = {    "userToken": "abc123xyz",}response = requests.post(base_url, params=params)print(response.text)
[]
{
  "timestamp": "2026-05-20T16:41:14.908+00:00",
  "status": 500,
  "error": "Internal Server Error",
  "path": "/api/getPerimeterCells"
}

Response Body

application/json

application/json